词汇/BearerWrite
Update personal vocabulary
Update the editable content of one personal vocabulary entry. Learning state changes only through recorded review results.
Endpoint
POST
/api/v1/agent/capabilities/ielts_vocabulary_personal_update请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| example | string | 否 | example |
| expansion | unknown[] | 否 | expansion |
| id | number | 是 | id |
| meaning | string | 否 | meaning |
| partOfSpeech | string | 否 | partOfSpeech |
| phrase | string | 否 | phrase |
| usage | string | 否 | usage |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_vocabulary_personal_update' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"id":1}'请求结构
{
"type": "object",
"properties": {
"example": {
"type": "string"
},
"expansion": {
"maxItems": 30,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"id": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"meaning": {
"type": "string"
},
"partOfSpeech": {
"type": "string"
},
"phrase": {
"type": "string",
"minLength": 1,
"maxLength": 300
},
"usage": {
"type": "string"
}
},
"required": [
"id"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在